# swimnetworks-rnn

Implementation of recurrent sampling networks,
using existing implementation of sampling networks [swim](https://gitlab.com/felix.dietrich/swimnetworks) 
and [datafold](https://datafold-dev.gitlab.io/datafold/). 


## Getting started

Expected Python version is `python >= 3.9` (developed with `python == 3.10`), 
install the provided requirements.
To install `swimnetworks`, follow manual installation instructions 
([https://gitlab.com/felix.dietrich/swimnetworks](https://gitlab.com/felix.dietrich/swimnetworks)).

In order to run the experiments with Van der Pol, Lorenz or Rössler systems, 
the datasets need to be generated. Please run the script `generate_datasets.py` in 
the

The scripts named `example_*.py` contain the other numerical experiments 
with samled RNNs, while the scripts named `RC_*.py` contain the reservoir computer 
models. The shPLRNN models can be trained using the code repository
 [https://github.com/DurstewitzLab/GTF-shPLRNN](https://github.com/DurstewitzLab/GTF-shPLRNN) 
and the hyperparameters provided in the abstract of the submitted paper. 
The weather data experiment is in the folder `climate`, for both an LSTM and sampled RNN.


***
